Attribute VB_Name = "CommandLine"
Option Explicit
Private Declare Function PathFileExists Lib "shlwapi.dll" Alias "PathFileExistsA" (ByVal pszPath As String) As Long

Private Const MAX_PATH As Long = 260
Private Declare Function GetLongPathName Lib "kernel32.dll" Alias "GetLongPathNameA" (ByVal lpszShortPath As String, ByVal lpszLongPath As String, ByVal cchBuffer As Long) As Long

Public Function ParseCommandLineFile(C As String, Optional Silent As Boolean = False) As String
'C = Chr$(34) & "E:\Spiele\Mrobots\Userle~1\User0034.mrl" & Chr$(34) & " " & Chr$(34) & "\\Spiele\Mrobots\Userlevel\User0035.mrl" & Chr$(34) & " " & Chr$(34) & "C:\Spiele\Mrobots\Userlevel\User0035.mrl" & Chr$(34)
'C = "Level01.mrl"
'C = "E:\Spiele\Mrobots\Userle~1\User0034.mrl"

If Len(C) = 0 Then Exit Function

Dim Ret As Long
Dim tmp As String

If Asc(Left$(C, 1)) = 34 Then
  Ret = InStr(2, C, Chr$(34))
Else
  Ret = InStr(2, C, " ")
End If

If Ret = 0 Then Ret = Len(C)
C = Left$(C, Ret)
C = Replace$(C, Chr$(34), "")

If InStr(1, C, "\") = 0 Then
  tmp = Common.AppPath & C
  If PathFileExists(tmp) Then
    C = tmp
  Else
    tmp = CurDir
    If Right$(tmp, 1) <> "\" Then tmp = tmp & "\"
    tmp = tmp & C
    If PathFileExists(tmp) Then
      C = tmp
    End If
  End If
End If

ParseCommandLineFile = Space$(MAX_PATH) & Chr$(0)
Ret = GetLongPathName(C, ParseCommandLineFile, MAX_PATH)
ParseCommandLineFile = Left$(ParseCommandLineFile, Ret)

If PathFileExists(ParseCommandLineFile) = 0 Then
  If Not Silent Then MsgBox "Konnte die angegebenen Start-Parameter nicht verwerten. ", vbExclamation, "Parameter fehlerhaft"
  ParseCommandLineFile = ""
End If
End Function
