Attribute VB_Name = "Constants"
Option Explicit

Public Enum enmConstantsGroups
  cgDefualt = 0
  cgBoolean
  cgPenModes
  cgTextConstants
  cgKeyCodes
End Enum


Public Sub Init()
Program.AddConstant cgBoolean, "True", 1&, -1
Program.AddConstant cgBoolean, "False", 0&, -1

Program.AddConstant cgDefualt, "Pi", Common.Pi, -1
Program.AddConstant cgDefualt, "e", Common.e, -1

Program.AddConstant cgTextConstants, "Cr", vbCr, -1
Program.AddConstant cgTextConstants, "Lf", vbLf, -1
Program.AddConstant cgTextConstants, "CrLf", vbCrLf, -1
Program.AddConstant cgTextConstants, "Cr", vbCr, -1
Program.AddConstant cgTextConstants, "Quote", """", -1

Program.AddConstant cgPenModes, "pmCopyPen", vbCopyPen, -1
Program.AddConstant cgPenModes, "pmInvert", vbInvert, -1
Program.AddConstant cgPenModes, "pmNotCopyPen", vbNotCopyPen, -1
Program.AddConstant cgPenModes, "pmXorPen", vbXorPen, -1
Program.AddConstant cgPenModes, "pmNotXorPen", vbNotXorPen, -1

Program.AddConstant cgKeyCodes, "vkACCEPT", &H1E, -1
Program.AddConstant cgKeyCodes, "vkADD", &H6B, -1
Program.AddConstant cgKeyCodes, "vkAPPS", &H5D, -1
Program.AddConstant cgKeyCodes, "vkATTN", &HF6&, -1
Program.AddConstant cgKeyCodes, "vkBACK", &H8, -1
Program.AddConstant cgKeyCodes, "vkBROWSER_BACK", &HA6, -1
Program.AddConstant cgKeyCodes, "vkBROWSER_FAVORITES", &HAB, -1
Program.AddConstant cgKeyCodes, "vkBROWSER_FORWARD", &HA7, -1
Program.AddConstant cgKeyCodes, "vkBROWSER_HOME", &HAC, -1
Program.AddConstant cgKeyCodes, "vkBROWSER_REFRESH", &HA8, -1
Program.AddConstant cgKeyCodes, "vkBROWSER_SEARCH", &HAA, -1
Program.AddConstant cgKeyCodes, "vkBROWSER_STOP", &HA9, -1
Program.AddConstant cgKeyCodes, "vkCANCEL", &H3, -1
Program.AddConstant cgKeyCodes, "vkCAPITAL", &H14, -1
Program.AddConstant cgKeyCodes, "vkCLEAR", &HC, -1
Program.AddConstant cgKeyCodes, "vkCONTROL", &H11, -1
Program.AddConstant cgKeyCodes, "vkCONVERT", &H1C, -1
Program.AddConstant cgKeyCodes, "vkCRSEL", &HF7&, -1
Program.AddConstant cgKeyCodes, "vkDBE_ALPHANUMERIC", &HF0, -1
Program.AddConstant cgKeyCodes, "vkDBE_CODEINPUT", &HFA, -1
Program.AddConstant cgKeyCodes, "vkDBE_DBCSCHAR", &HF4, -1
Program.AddConstant cgKeyCodes, "vkDBE_DETERMINESTRING", &HFC, -1
Program.AddConstant cgKeyCodes, "vkDBE_ENTERDLGCONVERSIONMODE", &HFD, -1
Program.AddConstant cgKeyCodes, "vkDBE_ENTERIMECONFIGMODE", &HF8, -1
Program.AddConstant cgKeyCodes, "vkDBE_ENTERWORDREGISTERMODE", &HF7, -1
Program.AddConstant cgKeyCodes, "vkDBE_FLUSHSTRING", &HF9, -1
Program.AddConstant cgKeyCodes, "vkDBE_HIRAGANA", &HF2, -1
Program.AddConstant cgKeyCodes, "vkDBE_KATAKANA", &HF1, -1
Program.AddConstant cgKeyCodes, "vkDBE_NOCODEINPUT", &HFB, -1
Program.AddConstant cgKeyCodes, "vkDBE_NOROMAN", &HF6, -1
Program.AddConstant cgKeyCodes, "vkDBE_ROMAN", &HF5, -1
Program.AddConstant cgKeyCodes, "vkDBE_SBCSCHAR", &HF3, -1
Program.AddConstant cgKeyCodes, "vkDECIMAL", &H6E, -1
Program.AddConstant cgKeyCodes, "vkDELETE", &H2E, -1
Program.AddConstant cgKeyCodes, "vkDIVIDE", &H6F, -1
Program.AddConstant cgKeyCodes, "vkDOWN", &H28, -1
Program.AddConstant cgKeyCodes, "vkEND", &H23, -1
Program.AddConstant cgKeyCodes, "vkEREOF", &HF9&, -1
Program.AddConstant cgKeyCodes, "vkESCAPE", &H1B, -1
Program.AddConstant cgKeyCodes, "vkEXECUTE", &H2B, -1
Program.AddConstant cgKeyCodes, "vkEXSEL", &HF8&, -1
Program.AddConstant cgKeyCodes, "vkF1", &H70, -1
Program.AddConstant cgKeyCodes, "vkF10", &H79, -1
Program.AddConstant cgKeyCodes, "vkF11", &H7A, -1
Program.AddConstant cgKeyCodes, "vkF12", &H7B, -1
Program.AddConstant cgKeyCodes, "vkF13", &H7C, -1
Program.AddConstant cgKeyCodes, "vkF14", &H7D, -1
Program.AddConstant cgKeyCodes, "vkF15", &H7E, -1
Program.AddConstant cgKeyCodes, "vkF16", &H7F, -1
Program.AddConstant cgKeyCodes, "vkF17", &H80, -1
Program.AddConstant cgKeyCodes, "vkF18", &H81, -1
Program.AddConstant cgKeyCodes, "vkF19", &H82, -1
Program.AddConstant cgKeyCodes, "vkF2", &H71, -1
Program.AddConstant cgKeyCodes, "vkF20", &H83, -1
Program.AddConstant cgKeyCodes, "vkF21", &H84, -1
Program.AddConstant cgKeyCodes, "vkF22", &H85, -1
Program.AddConstant cgKeyCodes, "vkF23", &H86, -1
Program.AddConstant cgKeyCodes, "vkF24", &H87, -1
Program.AddConstant cgKeyCodes, "vkF3", &H72, -1
Program.AddConstant cgKeyCodes, "vkF4", &H73, -1
Program.AddConstant cgKeyCodes, "vkF5", &H74, -1
Program.AddConstant cgKeyCodes, "vkF6", &H75, -1
Program.AddConstant cgKeyCodes, "vkF7", &H76, -1
Program.AddConstant cgKeyCodes, "vkF8", &H77, -1
Program.AddConstant cgKeyCodes, "vkF9", &H78, -1
Program.AddConstant cgKeyCodes, "vkFINAL", &H18, -1
Program.AddConstant cgKeyCodes, "vkHANGEUL", &H15, -1
Program.AddConstant cgKeyCodes, "vkHANGUL", &H15, -1
Program.AddConstant cgKeyCodes, "vkHANJA", &H19, -1
Program.AddConstant cgKeyCodes, "vkHELP", &H2F, -1
Program.AddConstant cgKeyCodes, "vkHOME", &H24, -1
Program.AddConstant cgKeyCodes, "vkICO_00", &HE4, -1
Program.AddConstant cgKeyCodes, "vkICO_CLEAR", &HE6, -1
Program.AddConstant cgKeyCodes, "vkICO_HELP", &HE3, -1
Program.AddConstant cgKeyCodes, "vkINSERT", &H2D, -1
Program.AddConstant cgKeyCodes, "vkJUNJA", &H17, -1
Program.AddConstant cgKeyCodes, "vkKANA", &H15, -1
Program.AddConstant cgKeyCodes, "vkKANJI", &H19, -1
Program.AddConstant cgKeyCodes, "vkLAUNCH_APP1", &HB6, -1
Program.AddConstant cgKeyCodes, "vkLAUNCH_APP2", &HB7, -1
Program.AddConstant cgKeyCodes, "vkLAUNCH_MAIL", &HB4, -1
Program.AddConstant cgKeyCodes, "vkLAUNCH_MEDIA_SELECT", &HB5, -1
Program.AddConstant cgKeyCodes, "vkLBUTTON", &H1, -1
Program.AddConstant cgKeyCodes, "vkLCONTROL", &HA2, -1
Program.AddConstant cgKeyCodes, "vkLEFT", &H25, -1
Program.AddConstant cgKeyCodes, "vkLMENU", &HA4, -1
Program.AddConstant cgKeyCodes, "vkLSHIFT", &HA0, -1
Program.AddConstant cgKeyCodes, "vkLWIN", &H5B, -1
Program.AddConstant cgKeyCodes, "vkMBUTTON", &H4, -1
Program.AddConstant cgKeyCodes, "vkMEDIA_NEXT_TRACK", &HB0, -1
Program.AddConstant cgKeyCodes, "vkMEDIA_PLAY_PAUSE", &HB3, -1
Program.AddConstant cgKeyCodes, "vkMEDIA_PREV_TRACK", &HB1, -1
Program.AddConstant cgKeyCodes, "vkMEDIA_STOP", &HB2, -1
Program.AddConstant cgKeyCodes, "vkMENU", &H12, -1
Program.AddConstant cgKeyCodes, "vkMODECHANGE", &H1F, -1
Program.AddConstant cgKeyCodes, "vkMULTIPLY", &H6A, -1
Program.AddConstant cgKeyCodes, "vkNEXT", &H22, -1
Program.AddConstant cgKeyCodes, "vkNONAME", &HFC&, -1
Program.AddConstant cgKeyCodes, "vkNONCONVERT", &H1D, -1
Program.AddConstant cgKeyCodes, "vkNUMLOCK", &H90, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD0", &H60, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD1", &H61, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD2", &H62, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD3", &H63, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD4", &H64, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD5", &H65, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD6", &H66, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD7", &H67, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD8", &H68, -1
Program.AddConstant cgKeyCodes, "vkNUMPAD9", &H69, -1
Program.AddConstant cgKeyCodes, "vkOEM_1", &HBA, -1
Program.AddConstant cgKeyCodes, "vkOEM_102", &HE2, -1
Program.AddConstant cgKeyCodes, "vkOEM_2", &HBF, -1
Program.AddConstant cgKeyCodes, "vkOEM_3", &HC0, -1
Program.AddConstant cgKeyCodes, "vkOEM_4", &HDB, -1
Program.AddConstant cgKeyCodes, "vkOEM_5", &HDC, -1
Program.AddConstant cgKeyCodes, "vkOEM_6", &HDD, -1
Program.AddConstant cgKeyCodes, "vkOEM_7", &HDE, -1
Program.AddConstant cgKeyCodes, "vkOEM_8", &HDF, -1
Program.AddConstant cgKeyCodes, "vkOEM_ATTN", &HF0&, -1
Program.AddConstant cgKeyCodes, "vkOEM_AUTO", &HF3&, -1
Program.AddConstant cgKeyCodes, "vkOEM_AX", &HE1, -1
Program.AddConstant cgKeyCodes, "vkOEM_BACKTAB", &HF5&, -1
Program.AddConstant cgKeyCodes, "vkOEM_CLEAR", &HFE&, -1
Program.AddConstant cgKeyCodes, "vkOEM_COMMA", &HBC, -1
Program.AddConstant cgKeyCodes, "vkOEM_COPY", &HF2&, -1
Program.AddConstant cgKeyCodes, "vkOEM_CUSEL", &HEF, -1
Program.AddConstant cgKeyCodes, "vkOEM_ENLW", &HF4&, -1
Program.AddConstant cgKeyCodes, "vkOEM_FINISH", &HF1&, -1
Program.AddConstant cgKeyCodes, "vkOEM_FJ_JISHO", &H92, -1
Program.AddConstant cgKeyCodes, "vkOEM_FJ_LOYA", &H95, -1
Program.AddConstant cgKeyCodes, "vkOEM_FJ_MASSHOU", &H93, -1
Program.AddConstant cgKeyCodes, "vkOEM_FJ_ROYA", &H96, -1
Program.AddConstant cgKeyCodes, "vkOEM_FJ_TOUROKU", &H94, -1
Program.AddConstant cgKeyCodes, "vkOEM_JUMP", &HEA, -1
Program.AddConstant cgKeyCodes, "vkOEM_MINUS", &HBD, -1
Program.AddConstant cgKeyCodes, "vkOEM_NEC_EQUAL", &H92, -1
Program.AddConstant cgKeyCodes, "vkOEM_PA1", &HEB, -1
Program.AddConstant cgKeyCodes, "vkOEM_PA2", &HEC, -1
Program.AddConstant cgKeyCodes, "vkOEM_PA3", &HED, -1
Program.AddConstant cgKeyCodes, "vkOEM_PERIOD", &HBE, -1
Program.AddConstant cgKeyCodes, "vkOEM_PLUS", &HBB, -1
Program.AddConstant cgKeyCodes, "vkOEM_RESET", &HE9, -1
Program.AddConstant cgKeyCodes, "vkOEM_WSCTRL", &HEE, -1
Program.AddConstant cgKeyCodes, "vkPA1", &HFD&, -1
Program.AddConstant cgKeyCodes, "vkPACKET", &HE7, -1
Program.AddConstant cgKeyCodes, "vkPAUSE", &H13, -1
Program.AddConstant cgKeyCodes, "vkPLAY", &HFA&, -1
Program.AddConstant cgKeyCodes, "vkPRINT", &H2A, -1
Program.AddConstant cgKeyCodes, "vkPRIOR", &H21, -1
Program.AddConstant cgKeyCodes, "vkPROCESSKEY", &HE5, -1
Program.AddConstant cgKeyCodes, "vkRBUTTON", &H2, -1
Program.AddConstant cgKeyCodes, "vkRCONTROL", &HA3, -1
Program.AddConstant cgKeyCodes, "vkRETURN", &HD, -1
Program.AddConstant cgKeyCodes, "vkRIGHT", &H27, -1
Program.AddConstant cgKeyCodes, "vkRMENU", &HA5, -1
Program.AddConstant cgKeyCodes, "vkRSHIFT", &HA1, -1
Program.AddConstant cgKeyCodes, "vkRWIN", &H5C, -1
Program.AddConstant cgKeyCodes, "vkSCROLL", &H91, -1
Program.AddConstant cgKeyCodes, "vkSELECT", &H29, -1
Program.AddConstant cgKeyCodes, "vkSEPARATOR", &H6C, -1
Program.AddConstant cgKeyCodes, "vkSHIFT", &H10, -1
Program.AddConstant cgKeyCodes, "vkSLEEP", &H5F, -1
Program.AddConstant cgKeyCodes, "vkSNAPSHOT", &H2C, -1
Program.AddConstant cgKeyCodes, "vkSPACE", &H20, -1
Program.AddConstant cgKeyCodes, "vkSUBTRACT", &H6D, -1
Program.AddConstant cgKeyCodes, "vkTAB", &H9, -1
Program.AddConstant cgKeyCodes, "vkUP", &H26, -1
Program.AddConstant cgKeyCodes, "vkVOLUME_DOWN", &HAE, -1
Program.AddConstant cgKeyCodes, "vkVOLUME_MUTE", &HAD, -1
Program.AddConstant cgKeyCodes, "vkVOLUME_UP", &HAF, -1
Program.AddConstant cgKeyCodes, "vkXBUTTON1", &H5, -1
Program.AddConstant cgKeyCodes, "vkXBUTTON2", &H6, -1
Program.AddConstant cgKeyCodes, "vkZOOM", &HFB&, -1
End Sub
