Attribute VB_Name = "FileAssociation"
Option Explicit
Private Const FileExt As String = "logo"
Private Const FileDescription As String = "PLogo Program"
Private Const AppIconIndex As Long = 1


'Public Function GetFileApp(Ext As String) As String
'Dim TmpFile As String
'
'TmpFile = Environ$("TEMP") & "\~tmp." & Ext
'Open TmpFile For Binary As #1
'Close
'
'Dim Exe As String
'Dim Ret As Long
'Exe = Space$(MAX_PATH + 1)
'
'Ret = FindExecutable(TmpFile, FPE(TmpFile), Exe)
'If Ret > 32 Then
'  GetFileApp = Left$(Exe, InStr(1, Exe, vbNullChar) - 1)
'End If
'
'Kill TmpFile
'End Function

Public Function GetFileApp() As String
Dim S As String
Dim W As Long
Dim MainKey As MainKeys

'New Method
MainKey = HKEY_CURRENT_USER
For W = 1 To 2
  S = Reg.GetValue(MainKey, "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\." & FileExt, "Application")
  If Len(S) Then
    If Reg.KeyExist(HKEY_CLASSES_ROOT, "Applications\" & S & "\shell\open\command") Then
      GetFileApp = CommandLine.ParseCommandLineFile(Reg.GetValue(HKEY_CLASSES_ROOT, "Applications\" & S & "\shell\open\command", ""))
    End If
  End If
  If Len(GetFileApp) Then Exit For
  MainKey = HKEY_LOCAL_MACHINE
Next

If Len(GetFileApp) Then Exit Function

'Old Method
If Reg.KeyExist(HKEY_CLASSES_ROOT, "." & FileExt) Then
  S = Reg.GetValue(HKEY_CLASSES_ROOT, "." & FileExt, "")
  If Len(S) Then
    If Reg.KeyExist(HKEY_CLASSES_ROOT, S & "\Shell\Open\Command") Then
      GetFileApp = CommandLine.ParseCommandLineFile(Reg.GetValue(HKEY_CLASSES_ROOT, S & "\Shell\Open\Command", ""))
    End If
  End If
End If
If Len(GetFileApp) = 0 Then GetFileApp = "(None/Unknown)"
End Function

Public Sub AssociateFile()
If Reg.KeyExist(HKEY_CURRENT_USER, "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts") Then
  'New Method
  Reg.CreateKey HKEY_CURRENT_USER, "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\." & FileExt
  Reg.SetValue HKEY_CURRENT_USER, "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\." & FileExt, "Application", FNE(Common.AppExe), REG_SZ
  Reg.CreateKey HKEY_CLASSES_ROOT, "Applications\" & FNE(Common.AppExe)
  Reg.CreateKey HKEY_CLASSES_ROOT, "Applications\" & FNE(Common.AppExe) & "\shell"
  Reg.CreateKey HKEY_CLASSES_ROOT, "Applications\" & FNE(Common.AppExe) & "\shell\open"
  Reg.CreateKey HKEY_CLASSES_ROOT, "Applications\" & FNE(Common.AppExe) & "\shell\open\command"
  Reg.SetValue HKEY_CLASSES_ROOT, "Applications\" & FNE(Common.AppExe) & "\shell\open\command", "", """" & Common.AppExe & """ ""%L""", REG_SZ
End If
'Old Method
Reg.CreateKey HKEY_CLASSES_ROOT, "." & FileExt
Reg.SetValue HKEY_CLASSES_ROOT, "." & FileExt, "", FileExt & "file", REG_SZ
Reg.SetValue HKEY_CLASSES_ROOT, FileExt & "file", "", FileDescription, REG_SZ
Reg.CreateKey HKEY_CLASSES_ROOT, FileExt & "file" & "\shell"
Reg.CreateKey HKEY_CLASSES_ROOT, FileExt & "file" & "\DefaultIcon"
Reg.SetValue HKEY_CLASSES_ROOT, FileExt & "file" & "\DefaultIcon", "", Common.AppExe & "," & AppIconIndex, REG_SZ
Reg.CreateKey HKEY_CLASSES_ROOT, FileExt & "file" & "\shell\open"
Reg.CreateKey HKEY_CLASSES_ROOT, FileExt & "file" & "\shell\open\command"
Reg.SetValue HKEY_CLASSES_ROOT, FileExt & "file" & "\shell\open\command", "", """" & Common.AppExe & """ ""%L""", REG_SZ
End Sub
