Attribute VB_Name = "Recent"
Option Explicit
Private UB As Long
Private HasEntries As Boolean
Private Const Max As Long = 10

Public Sub ShowList()
Call LoadList
End Sub

Private Sub LoadList()
Dim tmp As String
Dim W As Long

Dim F As String
F = Options.ConfigFile

HasEntries = False

With Form1
  
  For W = 0 To Max - 1
    tmp = INI.INIGetValue(F, "Recent", W, "")
    If Len(tmp) Then
      UB = W
      HasEntries = True
      If W Then VB.Load Form1.mnuRecent(W)
      .mnuRecent(W).Tag = tmp
      If W < 9 Then
        .mnuRecent(W).Caption = "&" & W + 1 & ". " & tmp
      Else
        .mnuRecent(W).Caption = W + 1 & ". " & tmp
      End If
      .mnuRecent(W).Visible = True
    Else
      Exit For
    End If
  Next

  .L8.Visible = HasEntries

End With
End Sub

Public Sub Add(Filename As String)
Dim W As Long
Dim AlreadyInList As Boolean

If HasEntries Then

  For W = 0 To UB
    If Form1.mnuRecent(W).Tag = Filename Then
      AlreadyInList = True
      Exit For
    End If
  Next
  
End If

If AlreadyInList Then
  Call MoveToTop(W)
Else
  Call AddToList(Filename)
End If

Call SaveList

End Sub

Private Sub MoveToTop(Index As Long)
Dim tmp As String
Dim W As Long

If Index Then
  With Form1
    tmp = .mnuRecent(Index).Tag
    For W = Index To 1 Step -1
      .mnuRecent(W).Tag = .mnuRecent(W - 1).Tag
      If W < 9 Then
        .mnuRecent(W).Caption = "&" & W + 1 & ". " & .mnuRecent(W).Tag
      Else
        .mnuRecent(W).Caption = W + 1 & ". " & .mnuRecent(W).Tag
      End If
    Next
    .mnuRecent(0).Tag = tmp
    .mnuRecent(0).Caption = "&1. " & tmp
  End With
End If


End Sub

Private Sub AddToList(Filename As String)
Dim W As Long

With Form1
  
  If HasEntries Then
  
    If UB < Max - 1 Then
      UB = UB + 1
      VB.Load .mnuRecent(UB)
      .mnuRecent(UB).Visible = True
    End If
    
    For W = UB - 1 To 0 Step -1
      .mnuRecent(W + 1).Tag = .mnuRecent(W).Tag
      If W + 1 < 9 Then
        .mnuRecent(W + 1).Caption = "&" & W + 2 & ". " & .mnuRecent(W + 1).Tag
      Else
        .mnuRecent(W + 1).Caption = W + 2 & ". " & .mnuRecent(W + 1).Tag
      End If
    Next
  
  Else
    HasEntries = True
    .L8.Visible = True
    .mnuRecent(0).Visible = True
  End If
  .mnuRecent(0).Tag = Filename
  .mnuRecent(0).Caption = "&1. " & Filename

End With

End Sub

Public Property Get NumEntries() As Long
NumEntries = UB + 1
End Property

Public Property Get Entries(Index As Long) As String
Entries = Form1.mnuRecent(Index).Tag
End Property

Private Sub SaveList()
Dim W As Long

For W = 0 To UB
  INI.INISetValue Options.ConfigFile, "Recent", W, Form1.mnuRecent(W).Tag
Next
End Sub
