VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsTooltip"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private PB As PictureBox

Public Sub Init(ParentTextBox As TextBox)


Set PB = Form1.Controls.Add("VB.PictureBox", "picTooltip" & ObjPtr(Me))
PB.AutoRedraw = True
PB.ScaleMode = vbPixels
PB.Appearance = 0
PB.BackColor = vbInfoBackground
PB.ForeColor = vbInfoText
Set PB.Font = ParentTextBox.Font
End Sub

Private Sub Class_Terminate()
On Error Resume Next 'Form maybe already unloaded
Form1.Controls.Remove PB.Name
Set PB = Nothing
End Sub

Friend Sub Show(DBEntry As CommandParams, Pos As POINTAPI)
Dim Text As String
Dim W As Long

PB.Cls

If DBEntry.MaxParameterCount Then

  For W = 0 To UBound(DBEntry.PrametersInfo)
    If W Then Text = Text & " "
    If W >= DBEntry.MinParameterCount Then
      Text = Text & "[" & DBEntry.PrametersInfo(W).Name & "]"
    Else
      Text = Text & DBEntry.PrametersInfo(W).Name
    End If
  Next
  PB.Move Pos.X, Pos.Y, PB.TextWidth(Text) + 4, PB.TextHeight("Q") + 2
  PB.CurrentX = 1
  PB.CurrentY = 1
  PB.Print Text
  PB.Visible = True
  PB.ZOrder vbBringToFront
End If
End Sub

Public Sub Hide()
PB.Visible = False
PB.Move 0, 0, 0, 0
End Sub
